### Method

# Xdp Session start_finish

#### Declaration [src]

    gboolean
    xdp_session_start_finish (
      XdpSession* session,
      GAsyncResult* result,
      GError** error
    )

#### Description [src]

Finishes the session-start request.

#### Parameters

`result` | `GAsyncResult`
| A `GAsyncResult`
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `gboolean`
| `TRUE` if the session was started successfully.